## python-certbot-dns-infomaniak 0.2.3

=== requirements.txt ===
certbot>=0.31.0
setuptools
requests
requests-mock
idna

## python-certbot-dns-infomaniak 0.2.2

=== debian/changelog ===
python-certbot-dns-infomaniak (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2
  * Update d/control Build-Depend

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 09 Feb 2024 15:48:38 +0100

python-certbot-dns-infomaniak (0.2.1-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Geoffroy Youri Berret <kaliko@debian.org>  Mon, 13 Nov 2023 20:49:32 +0100

python-certbot-dns-infomaniak (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #1055004).

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sun, 05 Nov 2023 15:12:14 +0100

=== debian/control ===
Source: python-certbot-dns-infomaniak
Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
Uploaders: Geoffroy Youri Berret <kaliko@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-certbot-abi-2,
               python3-idna,
               python3-requests,
               python3-requests-mock,
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/Infomaniak/certbot-dns-infomaniak
Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-infomaniak.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-infomaniak
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-certbot-dns-infomaniak
Architecture: all
Depends: certbot,
         python3-certbot-abi-2,
         ${misc:Depends},
         ${python3:Depends}
Enhances: certbot
Description: Infomaniak DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This is a plugin for Certbot that uses the infomaniak API to allow
 customers to prove control of a domain name.

## python-certbot-dns-infomaniak 0.2.3

=== debian/changelog ===
python-certbot-dns-infomaniak (0.2.3-2) unstable; urgency=medium

  * Team upload
  * Adjust dependencies (Closes: #1106474)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 May 2025 21:27:02 -0400

python-certbot-dns-infomaniak (0.2.3-1) unstable; urgency=medium

  * New upstream version 0.2.3
  * Bump standards version

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 06 Dec 2024 14:25:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-certbot-abi-2,
+               python3-certbot-abi-4,
                python3-idna,
                python3-requests,
                python3-requests-mock,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Infomaniak/certbot-dns-infomaniak
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-infomaniak.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-infomaniak
@@ -21,7 +21,7 @@
 Package: python3-certbot-dns-infomaniak
 Architecture: all
 Depends: certbot,
-         python3-certbot-abi-2,
+         python3-certbot-abi-4,
          ${misc:Depends},
          ${python3:Depends}
 Enhances: certbot

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME = certbot-dns-infomaniak

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/infomaniak/certbot-dns-infomaniak/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
